---
title: "Add Users to Channel"
slug: "add-users-to-channel"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/add-users-to-channel"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Add Users to Channel
Post/api/v1/channels.invite
Add a user or bulk users to a channel.
For a user to invite other users, they must match at least one of the following premises:
- The user is part of a room of any type and has the `add-user-to-joined-room` permission.
- The user is part of a public room `(t: 'c')` and has the `add-user-to-any-c-room` permission.
- The user is part of a private room `(t: 'p')` and has the `add-user-to-any-p-room` permission.
### Changelog
| Version | Description |
| --- | --- |
| 0.48.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExpand Allobject OneOfobjectobjectroomIdstring Required
The channel's ID.
ExamplenSYqWzZ4GsKTX4dyK
userIdstring Required
The user id to be invited.
ExampleByehQjC44FwMeiLbX
objectobjectroomIdstring Required
The channel's id
ExamplenSYqWzZ4GsKTX4dyK
userIds Array of object Required
An array of the userId of users to be invited
object typestring
valuestring
You can enter the user ID of one user or add multiple users. Use any one of the objects above as the body parameters.
Responses200
OK
Add bulk users
```json
{
"channel": {
"_id": "ByehQjC44FwMeiLbX",
"ts": "2016-11-30T21:23:04.737Z",
"t": "c",
"name": "testing",
"usernames": [
"testing",
"testing1"
],
"msgs": 1,
"_updatedAt": "2016-12-09T12:50:51.575Z",
"lm": "2016-12-09T12:50:51.555Z"
},
"success": true
}
```
Add a user
```json
{
"channel": {
"_id": "ByehQjC44FwMeiLbX",
"ts": "2016-11-30T21:23:04.737Z",
"t": "c",
"name": "testing",
"usernames": "testing",
"msgs": 1,
"_updatedAt": "2016-12-09T12:50:51.575Z",
"lm": "2016-12-09T12:50:51.555Z"
},
"success": true
}
```
Expand Allobject channelobject _idstring
fnamestring
customFieldsobject
descriptionstring
broadcastboolean
encryptedboolean
federatedboolean
namestring
tstring
msgsinteger
usersCountinteger
uobject _idstring
usernamestring
tsstring
roboolean
defaultboolean
sysMesboolean
_updatedAtstring
lmstring
lastMessageobject _idstring
tstring
msgstring
groupableboolean
blocks Array of object object typestring
blockIdstring
callIdstring
appIdstring
tsstring
uobject _idstring
usernamestring
namestring
ridstring
_updatedAtstring
urls Array of object object
mentions Array of object object
channels Array of object object
successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring